<?php

namespace App\Services\Interfaces;

use App\Models\Reservation;
use Illuminate\Http\Request;

interface ReservationRepositoryInterface
{
    public function get(Request $request);
    public function save(Request $request, ?Reservation $reservation): Reservation;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
